import * as tslib_1 from "tslib";
import * as React from 'react';
import { ExampleCard, ComponentPage, PageMarkdown, PropertiesTableSet } from '@uifabric/example-app-base';
import { LayerBasicExample } from './examples/Layer.Basic.Example';
import { LayerHostedExample } from './examples/Layer.Hosted.Example';
import { LayerCustomizedExample } from './examples/Layer.Customized.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { LayerStatus } from './Layer.checklist';
var LayerBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Layer/examples/Layer.Basic.Example.tsx');
var LayerHostedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Layer/examples/Layer.Hosted.Example.tsx');
var LayerCustomizedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Layer/examples/Layer.Customized.Example.tsx');
var LayerPage = /** @class */ (function (_super) {
    tslib_1.__extends(LayerPage, _super);
    function LayerPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LayerPage.prototype.render = function () {
        return (React.createElement(ComponentPage, { title: 'Layer', componentName: 'LayerExample', componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/Layer', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'Basic layered content', code: LayerBasicExampleCode },
                    React.createElement(LayerBasicExample, null)),
                React.createElement(ExampleCard, { title: 'Using LayerHost to control projection', code: LayerHostedExampleCode },
                    React.createElement(LayerHostedExample, null)),
                React.createElement(ExampleCard, { title: 'Using Customizer to control the default layer behavior', code: LayerCustomizedExampleCode },
                    React.createElement(LayerCustomizedExample, null))), propertiesTables: React.createElement(PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/Layer/Layer.types.ts')
                ] }), overview: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Layer/docs/LayerOverview.md')), bestPractices: React.createElement("div", null), dos: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Layer/docs/LayerDos.md')), donts: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Layer/docs/LayerDonts.md')), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, LayerStatus)) }));
    };
    return LayerPage;
}(React.Component));
export { LayerPage };
//# sourceMappingURL=LayerPage.js.map