import { getFocusStyle, getGlobalClassNames } from '../../Styling';
import { HighContrastSelector } from '../../utilities/styling/index';
var GlobalClassNames = {
    root: 'ms-Link'
};
export var getStyles = function (props) {
    var className = props.className, isButton = props.isButton, isDisabled = props.isDisabled, theme = props.theme;
    var semanticColors = theme.semanticColors;
    var classNames = getGlobalClassNames(GlobalClassNames, theme);
    return {
        root: [
            classNames.root,
            getFocusStyle(theme),
            {
                color: semanticColors.link,
            },
            isButton && {
                background: 'none',
                backgroundColor: 'transparent',
                border: 'none',
                cursor: 'pointer',
                display: 'inline',
                fontSize: 'inherit',
                margin: 0,
                overflow: 'inherit',
                padding: 0,
                textAlign: 'left',
                textOverflow: 'inherit',
                userSelect: 'text',
                borderBottom: '1px solid transparent',
                selectors: (_a = {},
                    _a[HighContrastSelector] = {
                        color: 'LinkText',
                        forcedColorAdjust: 'none'
                    },
                    _a)
            },
            !isButton && {
                textDecoration: 'none'
            },
            isDisabled && [
                'is-disabled',
                {
                    color: semanticColors.disabledText,
                    cursor: 'default'
                },
                {
                    selectors: {
                        '&:link, &:visited': {
                            pointerEvents: 'none'
                        }
                    }
                },
            ],
            !isDisabled && {
                selectors: {
                    '&:active, &:hover, &:active:hover': {
                        color: semanticColors.linkHovered,
                        selectors: (_b = {},
                            _b[HighContrastSelector] = {
                                textDecoration: 'underline',
                                color: 'LinkText'
                            },
                            _b)
                    },
                    '&:focus': {
                        color: semanticColors.link,
                        selectors: (_c = {},
                            _c[HighContrastSelector] = {
                                color: 'LinkText'
                            },
                            _c)
                    }
                }
            },
            classNames.root,
            className
        ]
    };
    var _a, _b, _c;
};
//# sourceMappingURL=Link.styles.js.map