import * as tslib_1 from "tslib";
import * as React from 'react';
import { ExampleCard, ComponentPage, PageMarkdown, PropertiesTableSet } from '@uifabric/example-app-base';
import { NavBasicExample } from './examples/Nav.Basic.Example';
import { NavFabricDemoAppExample } from './examples/Nav.FabricDemoApp.Example';
import { NavNestedExample } from './examples/Nav.Nested.Example';
import { NavByKeysExample } from './examples/Nav.ByKeys.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { NavStatus } from './Nav.checklist';
var NavBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.Basic.Example.tsx');
var NavFabricDemoAppExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.FabricDemoApp.Example.tsx');
var NavNestedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.Nested.Example.tsx');
var NavByKeysExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.ByKeys.Example.tsx');
var NavPage = /** @class */ (function (_super) {
    tslib_1.__extends(NavPage, _super);
    function NavPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    NavPage.prototype.render = function () {
        return (React.createElement(ComponentPage, { title: 'Nav', componentName: 'NavExample', componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/Nav', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'Basic Nav bar with sample links', code: NavBasicExampleCode },
                    React.createElement(NavBasicExample, null)),
                React.createElement(ExampleCard, { title: 'Navigation menu used in this Fabric React demo app', code: NavFabricDemoAppExampleCode },
                    React.createElement(NavFabricDemoAppExample, null)),
                React.createElement(ExampleCard, { title: 'Nested navigation menu (without group header)', code: NavNestedExampleCode },
                    React.createElement(NavNestedExample, null)),
                React.createElement(ExampleCard, { title: 'Nav bar of links each with unique keys and empty urls', code: NavByKeysExampleCode },
                    React.createElement(NavByKeysExample, null))), propertiesTables: React.createElement(PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/Nav/Nav.types.ts')
                ] }), overview: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Nav/docs/NavOverview.md')), bestPractices: React.createElement("div", null), dos: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Nav/docs/NavDos.md')), donts: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Nav/docs/NavDonts.md')), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, NavStatus)) }));
    };
    return NavPage;
}(React.Component));
export { NavPage };
//# sourceMappingURL=NavPage.js.map