import * as tslib_1 from "tslib";
import * as React from 'react';
import { ExampleCard, ComponentPage, PropertiesTableSet, PageMarkdown } from '@uifabric/example-app-base';
import { ShimmerBasicExample } from './examples/Shimmer.Basic.Example';
import { ShimmerCustomElementsExample } from './examples/Shimmer.CustomElements.Example';
import { ShimmerLoadDataExample } from './examples/Shimmer.LoadData.Example';
import { ShimmerApplicationExample } from './examples/Shimmer.Application.Example';
import { ShimmerStylingExample } from './examples/Shimmer.Styling.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { ShimmerStatus } from './Shimmer.checklist';
var ShimmerBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Shimmer/examples/Shimmer.Basic.Example.tsx');
var ShimmerCustomExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Shimmer/examples/Shimmer.CustomElements.Example.tsx');
var ShimmerStylingExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Shimmer/examples/Shimmer.Styling.Example.tsx');
var ShimmerLoadDataExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Shimmer/examples/Shimmer.LoadData.Example.tsx');
var ShimmerApplicationExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Shimmer/examples/Shimmer.Application.Example.tsx');
var ShimmerPage = /** @class */ (function (_super) {
    tslib_1.__extends(ShimmerPage, _super);
    function ShimmerPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ShimmerPage.prototype.render = function () {
        return (React.createElement(ComponentPage, { title: 'Shimmer', componentName: 'ShimmerExample', componentUrl: 'https://githubcom/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/Shimmer', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'Shimmer with basic elements using the shimmerElements prop', code: ShimmerBasicExampleCode },
                    React.createElement(ShimmerBasicExample, null)),
                React.createElement(ExampleCard, { title: 'Shimmer with custom elements using the customElementsGroup prop', code: ShimmerCustomExampleCode },
                    React.createElement(ShimmerCustomElementsExample, null)),
                React.createElement(ExampleCard, { title: 'Shimmer swapping with the content it replaces', code: ShimmerLoadDataExampleCode },
                    React.createElement(ShimmerLoadDataExample, null)),
                React.createElement(ExampleCard, { title: 'Details List with 500 items simulating loading data in async manner and having Shimmer enabled.', code: ShimmerApplicationExampleCode },
                    React.createElement(ShimmerApplicationExample, null)),
                React.createElement(ExampleCard, { title: 'Style override of shimmering wave using styles prop', code: ShimmerStylingExampleCode },
                    React.createElement(ShimmerStylingExample, null))), propertiesTables: React.createElement(PropertiesTableSet, { sources: [require('!raw-loader!office-ui-fabric-react/src/components/Shimmer/Shimmer.types.ts')] }), overview: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Shimmer/docs/ShimmerOverview.md')), bestPractices: React.createElement("div", null), dos: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Shimmer/docs/ShimmerDos.md')), donts: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Shimmer/docs/ShimmerDonts.md')), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, ShimmerStatus)) }));
    };
    return ShimmerPage;
}(React.Component));
export { ShimmerPage };
//# sourceMappingURL=ShimmerPage.js.map