"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Layer_1 = require("office-ui-fabric-react/lib/Layer");
var example_app_base_1 = require("@uifabric/example-app-base");
var Tooltip_Custom_Example_1 = require("./examples/Tooltip.Custom.Example");
var Tooltip_Basic_Example_1 = require("./examples/Tooltip.Basic.Example");
var Tooltip_Interactive_Example_1 = require("./examples/Tooltip.Interactive.Example");
var Tooltip_Overflow_Example_1 = require("./examples/Tooltip.Overflow.Example");
var Tooltip_NoScroll_Example_1 = require("./examples/Tooltip.NoScroll.Example");
var ComponentStatus_1 = require("../../demo/ComponentStatus/ComponentStatus");
var Tooltip_checklist_1 = require("./Tooltip.checklist");
require("./TooltipPage.scss");
var TooltipBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Basic.Example.tsx');
var TooltipCustomExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Custom.Example.tsx');
var TooltipInteractiveExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Interactive.Example.tsx');
var TooltipOverflowExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Overflow.Example.tsx');
var TooltipNoScrollExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.NoScroll.Example.tsx');
var TooltipPage = /** @class */ (function (_super) {
    tslib_1.__extends(TooltipPage, _super);
    function TooltipPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TooltipPage.prototype.render = function () {
        return (React.createElement(example_app_base_1.ComponentPage, { title: 'Tooltip', componentName: 'TooltipExample', componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/Tooltip', exampleCards: React.createElement(Layer_1.LayerHost, null,
                React.createElement(example_app_base_1.ExampleCard, { title: 'Default Tooltip', code: TooltipBasicExampleCode },
                    React.createElement(Tooltip_Basic_Example_1.TooltipBasicExample, null)),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Tooltip with list', code: TooltipCustomExampleCode },
                    React.createElement(Tooltip_Custom_Example_1.TooltipCustomExample, null)),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Tooltip with a closing delay', code: TooltipInteractiveExampleCode },
                    React.createElement(Tooltip_Interactive_Example_1.TooltipInteractiveExample, null)),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Tooltip only on overflow', code: TooltipOverflowExampleCode },
                    React.createElement(Tooltip_Overflow_Example_1.TooltipOverflowExample, null)),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Tooltip without scrollbar (may improve performance)', code: TooltipNoScrollExampleCode },
                    React.createElement(Tooltip_NoScroll_Example_1.TooltipNoScrollExample, null))), allowNativeProps: true, propertiesTables: React.createElement(example_app_base_1.PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/Tooltip.types.ts'),
                    require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/TooltipHost.types.ts')
                ] }), overview: React.createElement(example_app_base_1.PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/docs/TooltipOverview.md')), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus_1.ComponentStatus, tslib_1.__assign({}, Tooltip_checklist_1.TooltipStatus)) }));
    };
    return TooltipPage;
}(React.Component));
exports.TooltipPage = TooltipPage;
//# sourceMappingURL=TooltipPage.js.map